local t = Def.ActorFrame{
	Def.ActorFrame{
		Name="MoonFrame";
		InitCommand=cmd(x,SCREEN_WIDTH*0.777;y,SCREEN_CENTER_Y*1.5);
		OnCommand=cmd(sleep,1;decelerate,2;Center);
		
		LoadActor( THEME:GetPathB("_common","elements/_moon blur") )..{
			Name="BlurMoon";
			InitCommand=cmd(blend,'BlendMode_Add';zoomy,1.05;zoomx,1.15);
			OnCommand=cmd(linear,1;diffusealpha,0);
		};
		LoadActor( THEME:GetPathB("_common","elements/moon3d") )..{
			Name="MainMoon";
			InitCommand=cmd(blend,'BlendMode_Add';diffusealpha,0.8;zoom,1.25);
			OnCommand=cmd(pitch,10;sleep,1;decelerate,2;zoom,1;spin;effectmagnitude,0,5,0;);
			TitleMenuOffMessageCommand=function(self,params)
				-- exit
				if params.SelectedIndex == 4 then
					--self:sleep(1);
					--self:decelerate(2);
					--self:zoom(1);
					self:sleep(2);
					self:decelerate(1);
					self:zoom(8);
					self:addy(SCREEN_CENTER_Y*0.8);
				end;
			end;
		};
	};
	
	Def.Quad{
		InitCommand=cmd(FullScreen;Center;diffuse,color("#00000000"));
		TitleMenuOffMessageCommand=function(self,params)
			if params.SelectedIndex == 4 then
				self:sleep(5);
				self:decelerate(1);
				self:diffusealpha(1);
			end;
		end;
	};
	
	LoadFont("_bm delico")..{
		Text="see you...";
		InitCommand=cmd(Center;PixelFont;shadowlength,1;diffusealpha,0;zoom,2);
		TitleMenuOffMessageCommand=function(self,params)
			if params.SelectedIndex == 4 then
				self:sleep(0.5);
				self:linear(2);
				self:diffusealpha(1);
				self:sleep(2);
				self:decelerate(1);
				self:addy(SCREEN_HEIGHT);
			end;
		end;
	};
};

return t;